<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_pageminerba');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
    
</style>
<div id="page-content-wrapper" style="font-size:12px">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <i class="glyph-icon icon-pencil"></i>
                    Pendataan <?= $datapendaftaran['s_namajenis'] ?><b class="blink" style="font-size: 12px; color: red"><?= $message ?></b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div class="row">
                        <div class="col-md-12 center-div">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style="text-align:center; background:black; border-radius: 25px; color: orange; padding: 5px 15px 5px 15px; font-size: 16px; font-weight:bolder">NPWPD : <?= $datapendaftaran['t_npwpd'] ?> / ID OP : <?= $datapendaftaran['t_nop'] ?></span>
                        </div>
                    </div>
                    <?= $this->form()->openTag($form) ?>
                    <div class="col-md-6">

                        <div class="content-box">
                            <h3 class="content-box-header content-box-header-alt bg-success">
                                <span class="icon-separator">
                                    <i class="glyph-icon icon-database"></i>
                                </span>
                                <span class="header-wrapper">
                                    Data WP
                                </span>
                            </h3>
                            <div class="content-box-wrapper">
                                <div class='row'>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">NIK</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nik'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Nama</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nama'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Alamat</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_alamat_lengkap'] ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="content-box">
                            <h3 class="content-box-header content-box-header-alt bg-success">
                                <span class="icon-separator">
                                    <i class="glyph-icon icon-database"></i>
                                </span>
                                <span class="header-wrapper">
                                    Data OP
                                </span>
                            </h3>
                            <div class="content-box-wrapper">
                                <div class='row'>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">NIOP</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nop'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Nama</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_namaobjek'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Alamat</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_alamatobjek'] ?>
                                            ,RT. <?= $datapendaftaran['t_rtobjek'] ?>
                                            ,RW. <?= $datapendaftaran['t_rwobjek'] ?>
                                            ,Desa/Kel. <?= $datapendaftaran['s_namakelobjek'] ?>
                                            ,Kec. <?= $datapendaftaran['s_namakecobjek'] ?>
                                            ,Kab. <?= $datapendaftaran['t_kabupatenobjek'] ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-info">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Histori Pajak</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div id="datatransaksi"></div>
                        </div>
                    </div>
                    <div class="row pad10B">
                        <div class="col-sm-12">
                            <div class="alert alert-warning">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Pendataan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nomor Urut</label>
                            <div class="col-sm-2">
                                <input type="hidden" name="t_jenisobjekpajak" value="<?= $datapendaftaran['t_jenisobjek'] ?>">
                                <?= $this->formHidden($form->get("t_idtransaksi")) ?>
                                <?= $this->formHidden($form->get("t_idobjek")) ?>
                                <?= $this->formHidden($form->get("t_jenispajak")) ?>
                                <?= $this->formHidden($form->get("t_tarifpajak")) ?>
                                <?= $this->formText($form->get("t_nourut")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Periode Pajak</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_periodepajak")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tanggal Pendataan</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_tglpendataan")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Masa Pajak</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_masaawal")) ?>
                                </div>
                            </div>
                            <label class="col-sm-1 control-label">S/D</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_masaakhir")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama Kegiatan</label>
                            <div class="col-sm-5">
                                <?= $this->formTextarea($form->get("t_namakegiatan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nomor Kontrak</label>
                            <div class="col-sm-4">
                                <?= $this->formText($form->get("t_nomorkontrak")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Jenis Kerjaan</label>
                            <div class="col-sm-3">
                                <?= $this->formSelect($form->get("t_jeniskerjaan")) ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="box box-danger">
                                    <div class="box-header with-border">
                                        <span class="btn btn-sm btn-danger" id="tambahDetail">Tambah</span>
                                    </div>
                                    <div class="box-body">
                                        <table class="table table-bordered table-striped table-condensed cf" style='font-size:11px; color: black'>
                                            <tr>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Rekening</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Volume</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Harga Pasaran</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Jumlah</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Tarif</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Pajak</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Hapus</th>
                                            </tr>
                                            <?php
                                            $kk = 1;
                                            foreach (@$datadetail as $row) {
                                                ?>
                                                <tr id="detailnode<?= $kk ?>">
                                                    <td>
                                                        <input type="hidden" id="t_idminerba<?= $kk ?>" name="t_idminerba[]" value="<?= $row['t_idminerba'] ?>">
                                                        <select name="t_idkorek[]" id="t_idkorek<?= $kk ?>" class="form-control" onchange="caritarifminerba(<?= $kk ?>)">
                                                            <option value="">Silahkan Pilih</option>
                                                            <?php
                                                            foreach ($rekeningmineral as $row1) {
                                                                if ($row1['s_idkorek'] == $row['t_idkorek']) {
                                                                    $selected = 'selected';
                                                                } else {
                                                                    $selected = '';
                                                                }
                                                                ?>
                                                                <option <?= $selected ?> value="<?= $row1['s_idkorek'] ?>"><?= $row1['korek'].' | '.$row1['s_namakorek'] ?></option>
                                                            <?php } ?>
                                                        </select>
                                                    </td>
                                                    <td><input class="form-control" value="<?= $row['t_volume'] ?>" onchange="hitungpajakminerba(<?= $kk ?>)" name="t_volume[]" id="t_volume<?= $kk ?>" style="text-align:right"></td>
                                                    <td><input class="form-control" value="<?= number_format($row['t_hargapasaran'], 0, ',', '.') ?>" name="t_hargapasaran[]" id="t_hargapasaran<?= $kk ?>" readonly="true" style="text-align:right"></td>
                                                    <td><input class="form-control" value="<?= number_format($row['t_jumlah'], 0, ',', '.') ?>" name="t_jumlah[]" id="t_jumlah<?= $kk ?>" readonly="true" style="text-align:right"></td>
                                                    <td><input class="form-control" value="<?= $row['t_tarifpersen'] ?>" name="t_tarifpersen[]" id="t_tarifpersen<?= $kk ?>" readonly="true" style="text-align:right"></td>
                                                    <td><input class="form-control" value="<?= number_format($row['t_pajak'], 0, ',', '.') ?>" name="t_pajak[]" id="t_pajak<?= $kk ?>" readonly="true" style="text-align:right"></td>
                                                    <td><span class="btn btn-xs btn-danger" onclick="removetr(<?= $kk ?>)"><span class="glyph-icon icon-trash"></span></span></td>
                                                </tr>
                                                <?php
                                                $kk++;
                                            }
                                            ?>
                                            <input type="hidden" id="idl" value="<?= $kk++ ?>">
                                            <tbody id="add_Detail"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Total Pajak (Rp.)</label>
                            <div class="col-sm-4">
                                <?= $this->formHidden($form->get("t_dasarpengenaan")) ?>
                                <?= $this->formText($form->get("t_jmlhpajak")) ?>
                            </div>
                            <div class="col-sm-1">
                                <button type="button" class="btn btn-primary btn-sm" onclick="hitungtotalpajakminerba()">Hitung</button>
                            </div>
                        </div>
                    </div>
                    <div class="bg-default" id="tombolsimpan">
                        <?= $this->formInput($form->get('Pendataansubmit')) ?> 
                    </div>
                    <?= $this->form()->closeTag($form) ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>
<script>
    $('#Pendataansubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });
    
    function caritarifminerba(a) {
        $.post('<?= $this->url() ?>/caritarifminerba', {t_idkorek: $('#t_idkorek' + a).val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_hargapasaran' + a).val(aa.t_hargapasaran);
            $('#t_tarifpersen' + a).val(aa.t_tarifpersen);
            $('#t_tarifpajak').val(aa.t_tarifpersen);
        });
    }

    function hitungpajakminerba(a) {
        $.post('<?= $this->url() ?>/hitungpajakminerba', {t_volume: $('#t_volume' + a).val(), t_hargapasaran: $('#t_hargapasaran' + a).val(), t_tarifpersen: $('#t_tarifpersen' + a).val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_jumlah' + a).val(aa.t_jumlah);
            $('#t_pajak' + a).val(aa.t_pajak);
        });
        hitungtotalpajakminerba();
    }

    function hitungtotalpajakminerba() {
        $.post('<?= $this->url() ?>/hitungtotalpajakminerba', {t_tarifkenaikan: $('#t_tarifkenaikan').val(), t_pajak1: $('#t_pajak1').val(), t_pajak2: $('#t_pajak2').val(), t_pajak3: $('#t_pajak3').val(), t_pajak4: $('#t_pajak4').val(), t_pajak5: $('#t_pajak5').val(), t_pajak6: $('#t_pajak6').val(), t_pajak7: $('#t_pajak7').val(), t_pajak8: $('#t_pajak8').val(), t_pajak9: $('#t_pajak9').val(), t_pajak10: $('#t_pajak10').val()
        , t_jumlah1: $('#t_jumlah1').val(), t_jumlah2: $('#t_jumlah2').val(), t_jumlah3: $('#t_jumlah3').val(), t_jumlah4: $('#t_jumlah4').val(), t_jumlah5: $('#t_jumlah5').val(), t_jumlah6: $('#t_jumlah6').val(), t_jumlah7: $('#t_jumlah7').val(), t_jumlah8: $('#t_jumlah8').val(), t_jumlah9: $('#t_jumlah9').val(), t_jumlah10: $('#t_jumlah10').val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_dasarpengenaan').val(aa.t_dasarpengenaan);
            $('#t_jmlhpajak').val(aa.t_jmlhpajak);
            $('#t_jmlhkenaikan').val(aa.t_jmlhkenaikan);
        });
    }

    $(document).ready(function () {
        $("#tambahDetail").click(function () {
            var idl = document.getElementById("idl").value;
            $("#add_Detail").append(
                    '<tr id="detailnode' + idl + '">' +
                    '<td>' +
                    '<input type="hidden" id="t_idminerba' + idl + '" name="t_idminerba[]">' +
                    '<select name="t_idkorek[]" id="t_idkorek' + idl + '" class="form-control" onchange="caritarifminerba(' + idl + ')">' +
                    '<option value="">Silahkan Pilih</option>' +
<?php foreach ($rekeningmineral as $row) { ?>
                '<option value="<?= $row['s_idkorek'] ?>"><?= $row['korek'].' | '.$row['s_namakorek'] ?></option>' +
<?php } ?>
            '</select>' +
            '</td>' +
                    '<td>' +
                    '<input class="form-control" style="text-align:right" onchange="hitungpajakminerba(' + idl + ')" name="t_volume[]" id="t_volume' + idl + '">' +
                    '</td>' +
                    '<td>' +
                    '<input class="form-control" style="text-align:right" onKeyPress="return numbersonly(this, event);" onchange="this.value = formatCurrency(this.value); hitungpajakminerba(' + idl + ')" onblur="this.value = formatCurrency(this.value); hitungpajakminerba(' + idl + ')" onkeyup="this.value = formatCurrency(this.value);hitungpajakminerba(' + idl + ')" name="t_hargapasaran[]" id="t_hargapasaran' + idl + '" >' +
                    '</td>' +
                    '<td>' +
                    '<input class="form-control" style="text-align:right" onKeyPress="return numbersonly(this, event);" onchange="this.value = formatCurrency(this.value);" onblur="this.value = formatCurrency(this.value);" onkeyup="this.value = formatCurrency(this.value);" name="t_jumlah[]" id="t_jumlah' + idl + '" readonly="true">' +
                    '</td>' +
                    '<td>' +
                    '<input class="form-control" style="text-align:right" onKeyPress="return numbersonly(this, event);" onchange="this.value = formatCurrency(this.value);" onblur="this.value = formatCurrency(this.value);" onkeyup="this.value = formatCurrency(this.value);" name="t_tarifpersen[]" id="t_tarifpersen' + idl + '" readonly="true">' +
                    '</td>' +
                    '<td>' +
                    '<input class="form-control" style="text-align:right" onKeyPress="return numbersonly(this, event);" onchange="this.value = formatCurrency(this.value);" onblur="this.value = formatCurrency(this.value);" onkeyup="this.value = formatCurrency(this.value);" name="t_pajak[]" id="t_pajak' + idl + '" readonly="true">' +
                    '</td>' +
                    '<td>' +
                    '<span class="btn btn-xs btn-danger" onclick="removetr(' + idl + ')"><span class="glyph-icon icon-trash"></span></span>' +
                    '</td>' +
                    '</tr>'
                    );
            idl = (idl - 1) + 2;
            document.getElementById("idl").value = idl;
        });
    });

    function removetr(a) {
        $("#detailnode" + a).remove();
    }

    $(function () {
        CariPendataanByObjek();
    });

    function CariPendataanByObjek() {
        $.post('<?= $this->url() ?>/CariPendataanByObjek', {idobjek: $("#t_idobjek").val(), periodepajak: $("#t_periodepajak").val()}, function (data) {
            var aa = JSON.parse(data);
            $("#datatransaksi").html(aa.datatransaksi);
        });
    }

    function pilihskpdjabatan(a) {
        $.post('<?= $this->url() ?>/pilihskpdjabatan', {parameter: a}, function (data) {
            var aa = JSON.parse(data);
            $("#t_tglpendataan").val(aa.t_tglpendataan);
            $("#t_masaawal").val(aa.t_masaawal);
            $("#t_masaakhir").val(aa.t_masaakhir);
            $("#t_tarifkenaikan").val(aa.t_tarifkenaikan);
        });
        document.getElementById("kenaikan").style.display = "block";
        setTimeout(function () {
            hitungtotalpajakminerba();
        }, 1000);
    }

    function nonskpdjabatan() {
        document.getElementById("kenaikan").style.display = "none";
        $("#t_tarifkenaikan").val(0);
        hitungtotalpajakminerba();
    }


//    $('#t_masaawal').change(function () {
//        $.post('<?= $this->url() ?>/hitungtgl', {t_masaawal: $('#t_masaawal').val()}, function (data) {
//            var aa = JSON.parse(data);
//            $("#t_masaakhir").val(aa.t_masaakhir);
//            $("#t_masaawal").val(aa.t_masaawal);
//        });
//    });
//
//    $('#t_masaakhir').change(function () {
//        $.post('<?= $this->url() ?>/formattgl', {tgl: $('#t_masaakhir').val()}, function (data) {
//            var aa = JSON.parse(data);
//            $("#t_masaakhir").val(aa.tgl);
//        });
//    });
</script>